%global soname  lib%{name}
%global srcname stb_image

%define major	1
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:           stbi
Version:        1.33
Release:        %mkrel 9
Summary:        JPEG/PNG reader
License:        Public Domain
URL:            https://nothings.org/%{srcname}.c
Source0:        %{url}
Group:          Development/C
BuildRequires:  dos2unix

%description
Public Domain JPEG/PNG reader. Primarily of interest to game developers and
other people who can avoid problematic images and only need the trivial
interface.

%package -n %{libname}
Summary: JPEG/PNG reader
Group: System/Libraries
Obsoletes: %{name} < 1.33-2

%description -n %{libname}
Public Domain JPEG/PNG reader. Primarily of interest to game developers and
other people who can avoid problematic images and only need the trivial
interface.

%package -n %{devname}
Summary: JPEG/PNG reader development files
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{name}-devel < 1.33-2

%description -n %{devname}
Development files for %{name}.

%prep
%setup -Tc
head -62 %{SOURCE0} > README
head -184 %{SOURCE0} | tail -112 >> README
 
head -65 %{SOURCE0} | tail -2 > %{srcname}.h
head -332 %{SOURCE0} | tail -146 >> %{srcname}.h

echo '#include "stb_image.h"' > %{srcname}.c
head -4586 %{SOURCE0} | tail -4254 >> %{srcname}.c

tail -86 %{SOURCE0} > CHANGES

dos2unix *

%build
gcc %{optflags} -I. -fPIC -c %{srcname}.c
gcc %{optflags} -I. -shared -Wl,-soname,%{soname}.so.1 %{srcname}.o -o %{soname}.so.1.0.0


%install
install -Dpm0755 %{soname}.so.1.0.0 %{buildroot}%{_libdir}/%{soname}.so.1.0.0
ln -s %{soname}.so.1.0.0 %{buildroot}%{_libdir}/%{soname}.so.1
ln -s %{soname}.so.1.0.0 %{buildroot}%{_libdir}/%{soname}.so
install -Dpm0644 %{srcname}.h %{buildroot}%{_includedir}/%{srcname}.h


%files -n %{libname}
%doc README CHANGES
%{_libdir}/%{soname}.so.%{major}
%{_libdir}/%{soname}.so.%{major}.*

%files -n %{devname}
%{_libdir}/%{soname}.so
%{_includedir}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.33-9.mga10
+ Revision: 2196202
- Mageia 10 Mass Rebuild

* Thu Mar 17 2022 umeabot <umeabot> 1.33-8.mga9
+ Revision: 1797300
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.33-7.mga8
+ Revision: 1517239
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.33-6.mga7
+ Revision: 1301192
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 1.33-5.mga6
+ Revision: 934437
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.33-4.mga5
+ Revision: 739599
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.33-3.mga5
+ Revision: 689536
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 wally <wally> 1.33-2.mga5
+ Revision: 662332
- libify pkg
- use %%optflags

* Thu Jun 05 2014 spuhler <spuhler> 1.33-1.mga5
+ Revision: 633313
- first release after import from Fedora
- imported package stbi


* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.33-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Feb 02 2013 Miro Hrončok <mhroncok@redhat.com> - 1.33-1
- Started

